Erro ao atualizar Ubuntu 19.04 para 19.10

Pessoal,

Meu ubuntu atual é o 19.04 estou tentando atualizar para o 19.10 mas nao estou conseguindo.

Quando clico no botão atualizar (Via o atualizador do proprio UBUNTU), a janela fecha e nada acontece.

Ja quando tento atualizar via terminal, recebo a mensagem abaixo:

image

Ja tentei varios tutorias e nao consegui resolver, voces saberiam como resolver esse problema?

Obrigado!

1 Curtida

Posta a saída do comando:

lsb_release -a

1 Curtida

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 19.04
Release: 19.04
Codename: disco

Vai em Programas e atualizações e confere se tá marcado pra receber atualizações de versões intermediárias.

Mano, obrigado pela ajuda!
É essa tela que voce se refere ?

Essa mesmo, aparentemente, tá tudo configurado certo…

Era pra atualização funcionar normalmente, você tem muitos repositórios adicionais no sistema?

Não, não cheguei a configurar ou mexer nisso.

já tentou com este comando

sudo do-release-upgrade -d

sim e recebo essa mensagem:

image

veja o link resolve

Agora esta exibindo a mensagem:

Porem nao ha mais nada para atualizar

sudo apt update;sudo apt dist-upgrade -y
do release-upgrade

é mano, não vai:

Aparentemente, você tem algum pacote que tá impedindo o sistema de atualizar, o que é esse repositório do Google aí?

Mano, creio que seja do DART para o Flutter.

Pois o problema provavelmente está por aí, porque tem 2 pacotes que o sistema não atualiza por algum motivo.

Entendi man.

Obrigado, mas não sei resolver, o jeito é ficar nessa versão mesmo.

Você pode tentar forçar a atualização com o comando:
sudo apt install NOME_DOS_PACOTES

1 Curtida